it-swarm.com.de

Fehler: Keine solche Eigenschaft: GradleVersion für Klasse: JetGradlePlugin

Ich bin in Intellij für ein gradle Projekt unter Irrtum geraten. Ich importiere ein vorhandenes Gradle-Projekt und versuche es in Gradle-Fenster zu aktualisieren.

Error:No such property: GradleVersion for class: JetGradlePlugin

Bitte beraten.

2
Khuzi

Dieses Problem hatte ich beim Upgrade auf Java 11. 

Ich musste gradle von 5.0 auf 4.10.3 herunterstufen. Dann musste ich auf die neueste Version von Intellij Idea aktualisieren.

edit: Downgrading Gradle ist der Fix. Die Intellij-Version spielte keine Rolle.

2
ylemp

Sie benötigen mindestens Idea 2017.3, um mit Gradle 5.0 oder höher arbeiten zu können. Frühere Versionen sind nicht kompatibel, da der implizite Import in Version 5.0 entfernt wird. Siehe verwandte youtrack ticket

2

es ist ein Downgrade von 5.1.1 auf 4.10.3

0
qiuxiaoyan

Das hat bei mir funktioniert. Gehen Sie zu "Einstellungen -> Erstellen, Ausführen, Bereitstellen -> Erstellungstools -> Gradle" und wählen Sie "Lokale Gradle-Verteilung verwenden".

0
ktk

Ich musste gradle gradle von 5.1.1 auf 4.10.3 herabstufen, um es zu lösen. Es hat jedoch einen weiteren Fehler verursacht: "Symbol R kann nicht aufgelöst werden" in Android Studio. Ich habe gradle 3.3.0 verwendet. Es war der Hauptschuldige. Gradle 3.2.1 hat den Fehler behoben.

0
zollak